Bug 990629 - [Windows Guest Tools] QEMU Guest Agent service failed | After post-installation reboot another reboot is needed
[Windows Guest Tools] QEMU Guest Agent service failed | After post-installati...
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virtio-win (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: pre-dev-freeze
: 7.1
Assigned To: Sameeh Jubran
xiagao
:
Depends On: 1082999
Blocks: 1469590 1049828 1288337
  Show dependency treegraph
 
Reported: 2013-07-31 11:16 EDT by Jiri Belka
Modified: 2017-11-09 07:33 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
InstallLogs (180.97 KB, application/zip)
2013-07-31 11:16 EDT, Jiri Belka
no flags Details
new install logs, events (application, system) (228.35 KB, application/zip)
2014-01-08 07:56 EST, Jiri Belka
no flags Details
logs.zip (276.65 KB, application/zip)
2014-02-04 09:51 EST, Jiri Belka
no flags Details
screenshot of eventviewer error (87.71 KB, image/png)
2017-02-22 22:34 EST, xiagao
no flags Details

  None (edit)
Description Jiri Belka 2013-07-31 11:16:57 EDT
Created attachment 781196 [details]
InstallLogs

Description of problem:

After finishing the installation and executing post-installation reboot, restarted Windows 2008 32bit show popup requesting another reboot.

There are also following events in the eventlog. (I'm not sure how is both related...)

The QEMU Guest Agent service failed to start due to the following error: 
The service did not respond to the start or control request in a timely fashion.

Log Name:      System
Source:        Service Control Manager
Date:          7/31/2013 2:56:55 PM
Event ID:      7000
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      jb-w2k8-x86
Description:
The QEMU Guest Agent service failed to start due to the following error: 
The service did not respond to the start or control request in a timely fashion.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Service Control Manager" Guid="{555908D1-A6D7-4695-8E1E-26931D2012F4}" EventSourceName="Service Control Manager" />
    <EventID Qualifiers="49152">7000</EventID>
    <Version>0</Version>
    <Level>2</Level>
    <Task>0</Task>
    <Opcode>0</Opcode>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2013-07-31T21:56:55.000Z" />
    <EventRecordID>18346</EventRecordID>
    <Correlation />
    <Execution ProcessID="0" ThreadID="0" />
    <Channel>System</Channel>
    <Computer>jb-w2k8-x86</Computer>
    <Security />
  </System>
  <EventData>
    <Data Name="param1">QEMU Guest Agent</Data>
    <Data Name="param2">%%1053</Data>
  </EventData>
</Event>

+++

A timeout was reached (30000 milliseconds) while waiting for the QEMU Guest Agent service to connect.

Log Name:      System
Source:        Service Control Manager
Date:          7/31/2013 2:56:55 PM
Event ID:      7009
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      jb-w2k8-x86
Description:
A timeout was reached (30000 milliseconds) while waiting for the QEMU Guest Agent service to connect.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Service Control Manager" Guid="{555908D1-A6D7-4695-8E1E-26931D2012F4}" EventSourceName="Service Control Manager" />
    <EventID Qualifiers="49152">7009</EventID>
    <Version>0</Version>
    <Level>2</Level>
    <Task>0</Task>
    <Opcode>0</Opcode>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2013-07-31T21:56:55.000Z" />
    <EventRecordID>18345</EventRecordID>
    <Correlation />
    <Execution ProcessID="0" ThreadID="0" />
    <Channel>System</Channel>
    <Computer>jb-w2k8-x86</Computer>
    <Security />
  </System>
  <EventData>
    <Data Name="param1">30000</Data>
    <Data Name="param2">QEMU Guest Agent</Data>
  </EventData>
</Event>

+++

below event is twice!

The VirtIO-Serial Service service failed to start due to the following error: 
The specified procedure could not be found.

Log Name:      System
Source:        Service Control Manager
Date:          7/31/2013 2:56:20 PM
Event ID:      7000
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      jb-w2k8-x86
Description:
The VirtIO-Serial Service service failed to start due to the following error: 
The specified procedure could not be found.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Service Control Manager" Guid="{555908D1-A6D7-4695-8E1E-26931D2012F4}" EventSourceName="Service Control Manager" />
    <EventID Qualifiers="49152">7000</EventID>
    <Version>0</Version>
    <Level>2</Level>
    <Task>0</Task>
    <Opcode>0</Opcode>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2013-07-31T21:56:20.000Z" />
    <EventRecordID>18337</EventRecordID>
    <Correlation />
    <Execution ProcessID="0" ThreadID="0" />
    <Channel>System</Channel>
    <Computer>jb-w2k8-x86</Computer>
    <Security />
  </System>
  <EventData>
    <Data Name="param1">VirtIO-Serial Service</Data>
    <Data Name="param2">%%127</Data>
  </EventData>
</Event>

+++

Detected circular dependencies demand starting RHEV Spice Agent. Check the service dependency tree.

Log Name:      System
Source:        Service Control Manager
Date:          7/31/2013 2:56:01 PM
Event ID:      7017
Task Category: None
Level:         Error
Keywords:      Classic
User:          N/A
Computer:      jb-w2k8-x86
Description:
Detected circular dependencies demand starting RHEV Spice Agent. Check the service dependency tree.
Event Xml:
<Event xmlns="http://schemas.microsoft.com/win/2004/08/events/event">
  <System>
    <Provider Name="Service Control Manager" Guid="{555908D1-A6D7-4695-8E1E-26931D2012F4}" EventSourceName="Service Control Manager" />
    <EventID Qualifiers="49152">7017</EventID>
    <Version>0</Version>
    <Level>2</Level>
    <Task>0</Task>
    <Opcode>0</Opcode>
    <Keywords>0x80000000000000</Keywords>
    <TimeCreated SystemTime="2013-07-31T21:56:01.000Z" />
    <EventRecordID>18326</EventRecordID>
    <Correlation />
    <Execution ProcessID="0" ThreadID="0" />
    <Channel>System</Channel>
    <Computer>jb-w2k8-x86</Computer>
    <Security />
  </System>
  <EventData>
    <Data Name="param1">RHEV Spice Agent</Data>
  </EventData>
</Event>

Version-Release number of selected component (if applicable):
is7 - 3.3.3

How reproducible:
100%

Steps to Reproduce:
1. clean and updated Windows 2008 32bit
2. install 3.3.3 tools
3. check VM's desktop if there is popup
4. before executing requested reboot, check eventvwr

Actual results:
after mandatory post-installation reboot there's another request for reboot. also eventlog has an error event about qemu agent (related to virtio-serial - older - issue?)

Expected results:
working?

Additional info:
the following issue have been already reported in the past (BZ927941) but there's no big activity:
- The VirtIO-Serial Service service failed to start
- Detected circular dependencies demand starting RHEV Spice Agent
Comment 1 Jiri Belka 2013-07-31 11:30:22 EDT
Also same issue (but without 2nd reboot) on w2k8 64bit, but surprisingly no on w2k8r2!
Comment 3 Qunfang Zhang 2013-08-16 03:18:37 EDT
Hi, Jiri

I have some questions to confirm with you:

(1) What is the host kernel/qemu-kvm/guest agent and virtio-serial version?  Could you provide the qemu-kvm command line? Could collect it from host by "ps ax | grep qemu"

(2) I saw the virtio-serial service does not start up successfully. If the virtio-serial does not installed successfully, guest agent will fail to start. Could you try the latest virtio-serial? 

BTW, when we test the virtio-serial, will install the driver from windows device manager directly, do not use the service. Could you tell how you guys use the virtio-serial service? 


Thanks,
Qunfang
Comment 4 Jiri Belka 2013-08-16 07:16:41 EDT
3.2 host:

another reboot needed (popup window)

[root@dell-r210ii-03 ~]# ps ax | grep '[q]emu-kvm.*w2k8-x64'
  611 ?        Sl     4:30 /usr/libexec/qemu-kvm -name jb-w2k8-x64 -S -M rhel6.4.0 -cpu SandyBridge -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -uuid 38b4eddf-5e4e-4011-b0a6-c73e01eeca4e -smbios type=1,manufacturer=Red Hat,product=RHEV Hypervisor,version=6Server-6.4.0.4.el6,serial=4C4C4544-0058-3410-8058-C3C04F38354A,uuid=38b4eddf-5e4e-4011-b0a6-c73e01eeca4e -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/jb-w2k8-x64.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2013-08-16T09:46:53,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x4 -drive file=/rhev/data-center/mnt/10.34.63.199:_jbelka_tmp_tmp__iso/ab69d998-5c34-4e94-915a-9aa42ad3d970/images/11111111-1111-1111-1111-111111111111/RHEV-toolsSetup_3.3_3.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=2 -drive file=/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/f15b179b-bbca-4d19-bc1b-fccb2e2fad95/images/e13125ff-7b57-4116-9d96-4fb7278d467d/45f64bc2-41fc-489f-bf0e-35134b6f9667,if=none,id=drive-virtio-disk0,format=qcow2,serial=e13125ff-7b57-4116-9d96-4fb7278d467d,cache=none,werror=stop,rerror=stop,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=33,id=hostnet0,vhost=on,vhostfd=34 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:e0:3f:6f,bus=pci.0,addr=0x3,bootindex=3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/jb-w2k8-x64.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,id=charchannel1,path=/var/lib/libvirt/qemu/channels/jb-w2k8-x64.org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=org.qemu.guest_agent.0 -chardev spicevmc,id=charchannel2,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=3,chardev=charchannel2,id=channel2,name=com.redhat.spice.0 -spice port=5910,tls-port=5911,addr=0,x509-dir=/etc/pki/vdsm/libvirt-spice,tls-channel=main,tls-channel=display,tls-channel=inputs,tls-channel=cursor,tls-channel=playback,tls-channel=record,tls-channel=smartcard,tls-channel=usbredir,seamless-migration=on -k en-us -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

[root@dell-r210ii-03 ~]# rpm -q vdsm ; rpm -q libvirt ; rpm -q qemu-kvm-rhev ; uname -r
vdsm-4.10.2-24.1.el6ev.x86_64
libvirt-0.10.2-18.el6_4.9.x86_64
qemu-kvm-rhev-0.12.1.2-2.355.el6_4.5.x86_64
2.6.32-358.14.1.el6.x86_64

vioserial version: 52.65.104.6400

not another reboot needed (popup window)

# ps ax | grep '[q]emu-kvm.*w2k8-x86'
  788 ?        Sl     4:46 /usr/libexec/qemu-kvm -name jb-w2k8-x86 -S -M rhel6.4.0 -cpu SandyBridge -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -uuid c8dc7c6a-f410-4d56-9e31-802d67907155 -smbios type=1,manufacturer=Red Hat,product=RHEV Hypervisor,version=6Server-6.4.0.4.el6,serial=4C4C4544-0058-3410-8058-C3C04F38354A,uuid=c8dc7c6a-f410-4d56-9e31-802d67907155 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/jb-w2k8-x86.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2013-08-16T09:47:00,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x4 -drive file=/rhev/data-center/mnt/10.34.63.199:_jbelka_tmp_tmp__iso/ab69d998-5c34-4e94-915a-9aa42ad3d970/images/11111111-1111-1111-1111-111111111111/RHEV-toolsSetup_3.3_3.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=2 -drive file=/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/f15b179b-bbca-4d19-bc1b-fccb2e2fad95/images/39fa54cd-b398-4d00-b745-1ba59814a2e8/7070df67-efc5-4fea-b3df-1ecf8c4d111d,if=none,id=drive-virtio-disk0,format=qcow2,serial=39fa54cd-b398-4d00-b745-1ba59814a2e8,cache=none,werror=stop,rerror=stop,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=36,id=hostnet0,vhost=on,vhostfd=38 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:e0:3f:6b,bus=pci.0,addr=0x3,bootindex=3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/jb-w2k8-x86.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,id=charchannel1,path=/var/lib/libvirt/qemu/channels/jb-w2k8-x86.org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=org.qemu.guest_agent.0 -chardev spicevmc,id=charchannel2,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=3,chardev=charchannel2,id=channel2,name=com.redhat.spice.0 -spice port=5912,tls-port=5913,addr=0,x509-dir=/etc/pki/vdsm/libvirt-spice,tls-channel=main,tls-channel=display,tls-channel=inputs,tls-channel=cursor,tls-channel=playback,tls-channel=record,tls-channel=smartcard,tls-channel=usbredir,seamless-migration=on -k en-us -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

vioserial version: 51.65.104.6400

3.3 host:

another reboot needed (popup window)

qemu      1480 26.5 14.0 5488104 1128236 ?     Sl   13:04   1:56 /usr/libexec/qemu-kvm -name jb-w2k8-x64 -S -M rhel6.4.0 -cpu SandyBridge -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -uuid 38b4eddf-5e4e-4011-b0a6-c73e01eeca4e -smbios type=1,manufacturer=Red Hat,product=RHEV Hypervisor,version=6Server-6.4.0.4.el6,serial=4C4C4544-0058-3410-8058-C2C04F38354A,uuid=38b4eddf-5e4e-4011-b0a6-c73e01eeca4e -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/jb-w2k8-x64.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2013-08-16T11:04:48,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x4 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/f15b179b-bbca-4d19-bc1b-fccb2e2fad95/images/e13125ff-7b57-4116-9d96-4fb7278d467d/eb5455ea-2138-4610-ab2b-df363c855f37,if=none,id=drive-virtio-disk0,format=qcow2,serial=e13125ff-7b57-4116-9d96-4fb7278d467d,cache=none,werror=stop,rerror=stop,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=29,id=hostnet0,vhost=on,vhostfd=30 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:e0:3f:6f,bus=pci.0,addr=0x3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/38b4eddf-5e4e-4011-b0a6-c73e01eeca4e.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,id=charchannel1,path=/var/lib/libvirt/qemu/channels/38b4eddf-5e4e-4011-b0a6-c73e01eeca4e.org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=org.qemu.guest_agent.0 -chardev spicevmc,id=charchannel2,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=3,chardev=charchannel2,id=channel2,name=com.redhat.spice.0 -spice port=5910,tls-port=5911,addr=0,x509-dir=/etc/pki/vdsm/libvirt-spice,tls-channel=main,tls-channel=display,tls-channel=inputs,tls-channel=cursor,tls-channel=playback,tls-channel=record,tls-channel=smartcard,tls-channel=usbredir,seamless-migration=on -k en-us -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

vioserial version: 52.65.104.6400

another reboot needed (popup window)

qemu      1614 23.1 14.2 6325156 1145020 ?     Sl   13:04   1:42 /usr/libexec/qemu-kvm -name jb-w2k8-x86 -S -M rhel6.4.0 -cpu SandyBridge -enable-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -uuid c8dc7c6a-f410-4d56-9e31-802d67907155 -smbios type=1,manufacturer=Red Hat,product=RHEV Hypervisor,version=6Server-6.4.0.4.el6,serial=4C4C4544-0058-3410-8058-C2C04F38354A,uuid=c8dc7c6a-f410-4d56-9e31-802d67907155 -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/jb-w2k8-x86.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2013-08-16T11:04:50,driftfix=slew -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x4 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -drive file=/rhev/data-center/5849b030-626e-47cb-ad90-3ce782d831b3/f15b179b-bbca-4d19-bc1b-fccb2e2fad95/images/39fa54cd-b398-4d00-b745-1ba59814a2e8/02f10987-1877-4cb9-bf8d-b8501d61ee92,if=none,id=drive-virtio-disk0,format=qcow2,serial=39fa54cd-b398-4d00-b745-1ba59814a2e8,cache=none,werror=stop,rerror=stop,aio=threads -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -netdev tap,fd=31,id=hostnet0,vhost=on,vhostfd=33 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:e0:3f:6b,bus=pci.0,addr=0x3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/c8dc7c6a-f410-4d56-9e31-802d67907155.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev socket,id=charchannel1,path=/var/lib/libvirt/qemu/channels/c8dc7c6a-f410-4d56-9e31-802d67907155.org.qemu.guest_agent.0,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=org.qemu.guest_agent.0 -chardev spicevmc,id=charchannel2,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=3,chardev=charchannel2,id=channel2,name=com.redhat.spice.0 -spice port=5912,tls-port=5913,addr=0,x509-dir=/etc/pki/vdsm/libvirt-spice,tls-channel=main,tls-channel=display,tls-channel=inputs,tls-channel=cursor,tls-channel=playback,tls-channel=record,tls-channel=smartcard,tls-channel=usbredir,seamless-migration=on -k en-us -vga qxl -global qxl-vga.ram_size=67108864 -global qxl-vga.vram_size=67108864 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6

vioserial version: 51.65.104.6400

[root@dell-r210ii-04 ~]# rpm -q qemu-kvm-rhev ; rpm -q vdsm ; rpm -q libvirt; uname -r
qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64
vdsm-4.12.0-61.git8178ec2.el6ev.x86_64
libvirt-0.10.2-18.el6_4.9.x86_64
2.6.32-279.14.1.el6.x86_64
Comment 5 Mike Cao 2013-08-18 12:07:29 EDT
I think this bug is dup of https://bugzilla.redhat.com/show_bug.cgi?id=981987
Comment 6 Qunfang Zhang 2013-08-19 02:02:38 EDT
(In reply to Mike Cao from comment #5)
> I think this bug is dup of https://bugzilla.redhat.com/show_bug.cgi?id=981987

Hi, Gal

Could you help check if this the same issue with bug 981987?

Thanks.
Comment 7 Gal Hammer 2013-08-21 08:34:20 EDT
(In reply to Qunfang Zhang from comment #6)
> (In reply to Mike Cao from comment #5)
> > I think this bug is dup of https://bugzilla.redhat.com/show_bug.cgi?id=981987
> 
> Hi, Gal
> 
> Could you help check if this the same issue with bug 981987?

It might be a duplicate (as well as bug 988390), but I'm unable to reproduce it. I'll need to take a look in a RHEV setup and not run qemu directly.
 
> Thanks.
Comment 8 Gal Hammer 2013-08-27 08:56:12 EDT
I'm unable to reproduce it. Can you please provide some more information?

1. Did you try to work with a newer qemy-kvm-rhev packege (e.g. qemu-kvm-rhev-0.12.1.2-2.386.el6.x86_64)?

2. Do you have a qga's log file?

3. What are the RHEV Spice Agent's dependencies? Do you see a circular dependencies if you follow the list?

Thanks, Gal.
Comment 9 Jiri Belka 2013-09-06 08:27:15 EDT
Still able to reproduce, I see errors in eventvwr but qemu-ga.exe runs.

With qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64 I see another request to reboot after first reboot inside w2k8 32bit.

With qemu-kvm-rhev-0.12.1.2-2.399.el6.x86_64 I do _not_ see another request for reboot after first reboot.

Answers:

1. i tried with:
   * qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64 + vdsm-4.12.0-105.git0da1561.el6ev.x86_64
   * qemu-kvm-rhev-0.12.1.2-2.399.el6.x86_64 + vdsm-4.12.0-105.git0da1561.el6ev.x86_64
2. no, where is that? `handle.exe -p qemu-ga' does not show the process has any log opened
3. virtio-serial service + no
Comment 10 lijin 2013-09-13 04:55:23 EDT
Same as commet 9,QE can reproduce this issue.
There is no request to reboot,but QE can see the eventvwr errors that QEMU Guest Agent service failed to start.

the package info:
rhev-guest-tools-iso-3.3-5.noarch
qemu-kvm-rhev-0.12.1.2-2.402.el6.x86_64
kernel-2.6.32-415.0.1.el6.x86_64
libvirt-0.10.2-18.el6_4.8.x86_64
vdsm-4.10.2-22.0.el6ev.x86_64
Comment 11 Gal Hammer 2013-12-31 11:33:10 EST
Is it still reproducible with rhev-guest-tools that includes version virtio-win-prewhql-0.1-74?
Comment 12 Jiri Belka 2014-01-08 07:33:05 EST
There is not W2K8 32bit specific driver (vioser) in virtio-win-prewhql-0.1-74. OS did show me error that 'Driver is not intended for this platform.'.
Comment 13 Jiri Belka 2014-01-08 07:51:32 EST
I installed manually before installing WGT vioser driver (version: 51.65.104.700 / virtio-win 1.6.7) and did reboot, as I was prompted to do reboot to have vioser driver working correctly by OS. After reboot I installed WGT 3.3.3 and the installation finished OK, no error, QGA running.

So it seems the problem is either in vioser driver or in a way how is the driver installed (time sequence or reboot need)... ???
Comment 14 Jiri Belka 2014-01-08 07:56:57 EST
Created attachment 847113 [details]
new install logs, events (application, system)

vioser installed, reboot, then installation of WGT. QGA is running OK.
Comment 15 Jiri Belka 2014-02-04 09:51:28 EST
Created attachment 859177 [details]
logs.zip

Still exists after 3.3.11 WGT's post-installation reboot is done - another reboot is requested by OS to make all devices work correctly.
Comment 21 lijin 2014-05-28 05:53:53 EDT
win2k8-32 guest still can reproduce this issue with following pacakages:
qemu-kvm-rhev-0.12.1.2-2.427.el6.x86_64
kernel-2.6.32-431.el6.x86_64
rhev-guest-tools-iso-3.3-14
vdsm-4.13.2-0.17.el6ev.x86_64
libvirt-0.10.2-37.el6.x86_64

steps:
1. install a new Windows 2008 32bit guest on rhevm3.3
2. install rhev-guest-tools-iso-3.3-14 on guest
3. before executing requested reboot, check eventvwr

actual results:
After step 2,there is a reboot request,there is several errors in eventvwr,messages like this:
"A timeout was reached (30000 milliseconds) while waiting for the QEMU Guest Agent service to connect."
"The VirtIO-Serial Service service failed to start due to the following error: 
The specified procedure could not be found."
Check the service status,qemu guest agent,rhev agent,rhev spice agent are all not started.
After reboot guest,those service still can not start
Comment 29 Sandro Bonazzola 2015-06-19 07:36:32 EDT
Lev please open a bz for issuing a respin of the WGT once the new agents will be available.
Comment 34 Gal Hammer 2016-08-03 10:59:33 EDT
Should be fixed at the rhev tool installer level. Postpone for now, but should moved to rhev.
Comment 35 xiagao 2017-02-22 22:14:00 EST
Reproduced this bug on the following pkgs:

3.10.0-563.el7.x86_64
qemu-img-rhev-2.8.0-4.el7.x86_64
virtio-win-1.9.0-3.el7.noarch

Steps:
1.install win2k8-32 guest with virtio-serial.
2.install virtio-serial, pop up reboot request
3.before executing requested reboot, install qemu-ga
4.check eventvwr

actual results:
several errors in eventvwr,messages like this:
"A timeout was reached (30000 milliseconds) while waiting for the QEMU Guest Agent service to connect."

Check the service status,qemu guest agent does not start.
Comment 36 xiagao 2017-02-22 22:34 EST
Created attachment 1256764 [details]
screenshot of eventviewer error

screenshot of eventviewer error in guest
Comment 38 Gal Hammer 2017-04-18 11:43:49 EDT
The qga service should know to open the virtio-serial file handle on DBT_DEVICEARRIVAL or DBT_DEVICEQUERYREMOVEFAILED events and close the file handle on DBT_DEVICEQUERYREMOVE or DBT_DEVICEREMOVECOMPLETE events. It should not fail and close itself if the device is not exist yet.
Comment 40 Amnon Ilan 2017-05-17 04:42:57 EDT
This requires a substantial change in the code.
The idea is to have the agent resilient to unavailability 
of the driver either due to install or due to a Windows Update 
scenario (maybe even hot-plug/unplug in Linux case? but this BZ is 
only for Windows guest)
Comment 41 Sameeh Jubran 2017-09-07 10:26:58 EDT
This issue should be resolved by the patches I've sent to upstream. They are currently waiting for the maintainer's review and once they're in I'll apply them to the downstream and update this BZ.

The patch series can be found here:
http://lists.nongnu.org/archive/html/qemu-devel/2017-08/msg02398.html
Comment 42 Sameeh Jubran 2017-10-19 12:51:44 EDT
Hi all,

I have created a scratch build where I applied patches that fix the issue, lets test them so I can release a build :)

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14305079
Comment 43 xiagao 2017-10-23 01:25:37 EDT
(In reply to Sameeh Jubran from comment #42)
> Hi all,
> 
> I have created a scratch build where I applied patches that fix the issue,
> lets test them so I can release a build :)
> 
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14305079

Hi Sameeh,
I can't install this qemu-ga pkg in win2008-32/64 guest, could you help have a check?
BTW,it's successful to install it in win2012-64 and win8.1 guest.

You can login the guest by:
# remote-viewer vnc://10.73.4.227:5909

Thanks,
xiaoling
Comment 44 Sameeh Jubran 2017-10-29 09:47:24 EDT
Hi xiaoling,

Thanks for reporting the issue with Windows 2008/Vista, it should be fixed in this build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14413347

Strange enough this was caused by something completely irrelevant to qemu-ga code and was fixed by applying the following commit from upstream:
https://github.com/qemu/qemu/commit/ebedb37c8d2aa477517158fd88e6ff0f6a60485d

Can you confirm that?
Comment 45 xiagao 2017-10-30 01:18:03 EDT
(In reply to Sameeh Jubran from comment #44)
> Hi xiaoling,
> 
> Thanks for reporting the issue with Windows 2008/Vista, it should be fixed
> in this build:
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14413347
> 
> Strange enough this was caused by something completely irrelevant to qemu-ga
> code and was fixed by applying the following commit from upstream:
> https://github.com/qemu/qemu/commit/ebedb37c8d2aa477517158fd88e6ff0f6a60485d
> 
> Can you confirm that?

Hi Sameeh, still failed in installation with the new brew package, pls hava a check.
# remote-viewer vnc://10.73.4.227:5909
Comment 46 Sameeh Jubran 2017-10-30 09:47:58 EDT
(In reply to xiagao from comment #45)
> (In reply to Sameeh Jubran from comment #44)
> > Hi xiaoling,
> > 
> > Thanks for reporting the issue with Windows 2008/Vista, it should be fixed
> > in this build:
> > https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14413347
> > 
> > Strange enough this was caused by something completely irrelevant to qemu-ga
> > code and was fixed by applying the following commit from upstream:
> > https://github.com/qemu/qemu/commit/ebedb37c8d2aa477517158fd88e6ff0f6a60485d
> > 
> > Can you confirm that?
> 
> Hi Sameeh, still failed in installation with the new brew package, pls hava
> a check.
> # remote-viewer vnc://10.73.4.227:5909
Did an investigation and turns out that while the previous build did solve an issue with qemu-ga on Windows server 2008 x64, there was still another issue with the x86 version that indeed wasn't solved by the previous build. Now I believe that the issue is fully resolved. Can you confirm that please?

https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14419730
Comment 47 xiagao 2017-10-30 21:34:05 EDT
With the latest package.Did not hit this issue.
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14419730

Reproduced this bug on the following pkgs:
qemu-ga-win-2.9.1-2.el7ev.noarch
qemu-kvm-rhev-2.9.0-16.el7.x86_64

Steps:
1.install win2k8-32 guest with virtio-serial.
2.install virtio-serial, pop up reboot request
3.before executing requested reboot, install qemu-ga
4.check eventvwr

actual results:
no error info

BTW:
Check the service status,qemu guest agent service is started.
Check run->msinfo32 -> virtioserial service is stopped.
There is no response when sending cmd from host side.
After guest reboot, virtio serial service is running.
There is response from host now.

Verify this bug.
Comment 48 xiagao 2017-11-05 21:58:07 EST
I will verify this bug with official version comed out.
So, reassign it first.
Comment 49 Sameeh Jubran 2017-11-07 07:12:07 EST
I have created an official build, lets test it:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=14484052
Comment 50 xiagao 2017-11-08 01:10:29 EST
Reproduced this bug on the following pkgs:
qemu-ga-win-2.9.2-2.el7ev.noarch
qemu-kvm-rhev-2.9.0-16.el7.x86_64

Steps:
1.install win2k8-32 guest with virtio-serial.
2.install virtio-serial, pop up reboot request
3.before executing requested reboot, install qemu-ga
4.check eventvwr

actual results:
no error info

BTW:
Check the service status,qemu guest agent service is started.
Check run->msinfo32 -> virtioserial service is stopped.
There is no response when sending cmd from host side.
After guest reboot, virtio serial service is running.
There is response from host now.

Verify this bug.
Comment 51 lijin 2017-11-09 02:16:28 EST
change to to virtio-win component

Note You need to log in before you can comment on or make changes to this bug.